Bug 1733260 - [RHOSP13]Request to backport patches to support fencing configuration with fence_rhevm agent using THT
Summary: [RHOSP13]Request to backport patches to support fencing configuration with fe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 13.0 (Queens)
Hardware: All
OS: All
high
high
Target Milestone: z9
: 13.0 (Queens)
Assignee: Luca Miccini
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 14:30 UTC by Alex Stupnikov
Modified: 2019-12-29 18:11 UTC (History)
12 users (show)

Fixed In Version: puppet-tripleo-8.5.1-1.el7ost openstack-tripleo-common-8.7.1-1.el7ost
Doc Type: Enhancement
Doc Text:
With this update, `openstack-tripleo-common` is enhanced so that you can run the `openstack overcloud generate fencing` command to create proper fencing configuration for ironic nodes that use the `staging-ovirt` power driver, similar to virtual machines that you deploy on RHV. `puppet-tripleo` has also been enhanced and now properly configures pacemaker `fence-rhevm` stonith agents for virtual machines on RHV.
Clone Of:
Environment:
Last Closed: 2019-11-07 14:01:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 676417 None MERGED Extend fencing to hosts using fence_rhevm agent. 2020-01-30 12:45:52 UTC
OpenStack gerrit 676420 None MERGED Enable staging-ovirt (fence_rhevm) fencing agent. 2020-01-30 12:45:52 UTC
Red Hat Product Errata RHBA-2019:3794 None None None 2019-11-07 14:01:36 UTC

Description Alex Stupnikov 2019-07-25 14:30:49 UTC
Description of problem:

In stable/stein we implement support for fence_rhevm fencing agent [1]. It will be great to backport appropriate puppet-tripleo and puppet-pacemaker patches to RHOSP 13 as we must support fencing for virtualized control plane, which can be used for production deployments since RHOSP 13 [2].


[1] https://review.opendev.org/#/c/652019/
[2] https://www.redhat.com/en/blog/virtualize-your-openstack-control-plane-red-hat-virtualization-and-red-hat-openstack-platform-13

Comment 2 Luca Miccini 2019-08-22 16:12:03 UTC
merged upstream:

https://review.opendev.org/676417 (puppet)

https://review.opendev.org/676420 (tripleo_common)

Comment 3 David Vallee Delisle 2019-10-15 20:46:42 UTC
Hello,

Is there any ETA on the backport downstream?

Thanks,

DVD

Comment 4 Luca Miccini 2019-10-16 05:40:22 UTC
(In reply to David Vallee Delisle from comment #3)
> Hello,
> 
> Is there any ETA on the backport downstream?
> 
> Thanks,
> 
> DVD

Hey David,

we're tentatively targeting the next minor release.

Cheers
Luca

Comment 7 Alex McLeod 2019-10-31 11:29:15 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field. The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 9 errata-xmlrpc 2019-11-07 14:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3794


Note You need to log in before you can comment on or make changes to this bug.